import numpy as np
import matplotlib.pyplot as plt

adet = 900  # Saniye cinsinden nokta sayısı (15 dakika)
t = np.linspace(0,adet,adet) # Zaman aralığı

# veri
sıcaklıkListesi = []

with open('soğuyan.txt') as kütük:
    satırlar = kütük.read().splitlines()

for satır in satırlar:
    sıcaklıkListesi.append(float(satır))

k = np.log(10/13) * (1 / 180)

# benzetim
y = 13 * np.exp(k * t) + 23

# Sonuçları yazdır
plt.figure(1)
plt.plot(t,y,'b-',label='Hesaplanan')
plt.plot(t,sıcaklıkListesi,'r.',label='Ölçülen')
plt.ylabel('Sıcaklık (°C)')
plt.xlabel('Zaman (saniye)')
plt.legend()
plt.show()
